{% extends "base.html" %}

{% block content %}
<h1>Fetch RSS</h1>
<form id="fetch-rss-form">
    <input type="text" id="rss-url" placeholder="RSS Feed URL">
    <label for="full-content">
        <input type="checkbox" id="full-content"> Fetch full content
    </label>
    <button type="submit">Fetch</button>
</form>
<div class="results-wrapper">
    <div id="result-container"></div>
</div>
{% endblock %}

{% block script %}
<script src="/static/js/fetch_rss.js"></script>
{% endblock %}